/**
 * @file 	gravity.c
 * @brief 	Dummy gravity calculation.
 * @author 	Hanno Rein <hanno@hanno-rein.de>
 *
 * @details 	This method is a dummy that does not actually compute any
 * gravitational force. It can be used when self-gravity is not important. 
 *
 * 
 * @section LICENSE
 * Copyright (c) 2011 Hanno Rein, Shangfei Liu
 *
 * This file is part of rebound.
 *
 * rebound is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * rebound is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with rebound.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>
#include <time.h>
#include "particle.h"
#include "main.h"
#include "boundaries.h"

void gravity_calculate_acceleration(){
	// Does nothing. 
}

void gravity_calculate_variational_acceleration(){
	// Does nothing. 
}
